<?php

namespace Drupal\Tests\webform_confirmation_file\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Webform confiramtion file browser test.
 *
 * @group webform_browser
 */
class WebformConfirmationFileTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  public static $modules = ['webform', 'webform_confirmation_file', 'webform_confirmation_file_test'];

  /**
   * Set default theme to stable.
   *
   * @var string
   */
  protected $defaultTheme = 'stable';

  /**
   * Test confirmation file handler.
   */
  public function testConfirmationFileHandler() {
    // Check content source.
    $this->drupalPostForm('/webform/test_confirmation_file_content', [], t('Submit'));
    $this->assertSession()->responseContains('<?xml version="1.0"?>');

    // Check URI source.
    $this->drupalPostForm('/webform/test_confirmation_file_url', [], t('Submit'));
    $this->assertSession()->responseContains('<?xml version="1.0"?>');

  }

}
